"use strict";
exports.__esModule = true;
exports.isDateRange = void 0;
var type_guards_1 = require("../type-guards");
var isDateRange = function (value) {
    return Array.isArray(value) &&
        value.length === 2 &&
        value.every(function (date) { return date instanceof Date || !(0, type_guards_1.isDefined)(date); });
};
exports.isDateRange = isDateRange;
